MobilityGetTransitStopInfoPreviewOptionalParams interface
Optional Parameters.
- Extends
-
RequestOptionsBase
Properties
| abort |
The signal which can be used to abort requests. |
| custom |
{object} [customHeaders] User defined custom request headers that will be applied before the request is sent. |
| detail |
Specify additional details requested respective to the transit stop as a commma separated list. |
| language | Language in which search results will be returned. Only NGT is supported. Please refer to Supported languages for details. |
| on |
Callback which fires upon download progress. |
| on |
Callback which fires upon upload progress. |
| query |
The type of the unique query parameter of the stop. By default queryType=stopId. Possible values include: 'stopId', 'stopKey' |
| timeout | The number of milliseconds a request can take before automatically being terminated. |
Property Details
abortSignal
The signal which can be used to abort requests.
abortSignal?: AbortSignalLike
Property Value
AbortSignalLike
customHeaders
{object} [customHeaders] User defined custom request headers that will be applied before the request is sent.
customHeaders?: [key: string]: string
Property Value
[key: string]: string
detailType
Specify additional details requested respective to the transit stop as a commma separated list.
detailType?: TransitStopDetailType[]
Property Value
language
Language in which search results will be returned. Only NGT is supported. Please refer to Supported languages for details.
language?: string
Property Value
string
onDownloadProgress
Callback which fires upon download progress.
onDownloadProgress?: (progress: TransferProgressEvent) => void
Property Value
(progress: TransferProgressEvent) => void
onUploadProgress
Callback which fires upon upload progress.
onUploadProgress?: (progress: TransferProgressEvent) => void
Property Value
(progress: TransferProgressEvent) => void
queryType
The type of the unique query parameter of the stop. By default queryType=stopId. Possible values include: 'stopId', 'stopKey'
queryType?: TransitStopQueryType
Property Value
timeout
The number of milliseconds a request can take before automatically being terminated.
timeout?: number
Property Value
number